Bug 178684 - Request for update to 2.2
Request for update to 2.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postfix (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-01-23 06:46 EST by Thomas Woerner
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0487
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 8 Red Hat Bugzilla 2006-08-10 17:42:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0487.html
Comment 10 Peter Bieringer 2006-09-07 07:19:02 EDT
Note that this RHBA had some impact, which was not expected in an RHEL minor
version upgrade.

While normally Red Hat reject all updates which can cause a problem with
existing configurations, here in postfix case, this was accepted - surprise...

Example for major impact:
postfix 2.1.5 contains support for database type sdbm, which was suggested to
use for SSL session caching in 2.1.x with TLS support (Red Hat provided such
extended version).

Provided postfix 2.2.10 misses support of sdbm, btree can be used instead, but
no warning or automagical upgrade of main.cf was done here. As a result, one of
the host I administrate which has a automatic update enabled, upgraded silently
to postfix 2.2.10 and afterwards it could not receive any mail via TLS anymore.

Related error message:
Aug 31 17:06:54 server postfix/tlsmgr[21699]: fatal: unsupported dictionary
type: sdbm
Aug 31 17:06:55 server postfix/master[14522]: warning: process
/usr/libexec/postfix/tlsmgr pid 21699 exit status 1


# postconf -m
btree
cidr
environ
hash
ldap
nis
pcre
proxy
regexp
static
unix



You find related information in

ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-2.2.11.RELEASE_NOTES

Main changes with Postfix version 2.2
-------------------------------------
...
- Support for CDB, SDBM and NIS+ databases is now built into Postfix
(but the CDB and SDBM libraries are not).



Anyway, I'm happy about supplying a new version and would request the update to
2.2.11 next possible time.


Note You need to log in before you can comment on or make changes to this bug.